scala.tools.nsc.transform.patmat.MatchCodeGen

# PureMatchMonadInterface

#### trait PureMatchMonadInterface extends MatchMonadInterface

Source
  MatchCodeGen.scala

Linear Supertypes
MatchCodeGen.MatchMonadInterface, AnyRef, Any
Known Subclasses
PureCodegen, PureMatchTranslator
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PureMatchMonadInterface
2. MatchMonadInterface
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val matchStrategy: Global.Tree

2. #### abstract val typer: (analyzer)#Typer

   Definition Classes
     MatchMonadInterface

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PureMatchMonadInterface to any2stringadd[PureMatchMonadInterface] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (PureMatchMonadInterface, B)

   Implicit information
     This member is added by an implicit conversion from PureMatchMonadInterface to ArrowAssoc[PureMatchMonadInterface] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def _match(n: Global.Name): SelectStart

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (PureMatchMonadInterface) ⇒ Boolean, msg: ⇒ Any): PureMatchMonadInterface

   Implicit information
     This member is added by an implicit conversion from PureMatchMonadInterface to Ensuring[PureMatchMonadInterface] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (PureMatchMonadInterface) ⇒ Boolean): PureMatchMonadInterface

    Implicit information
      This member is added by an implicit conversion from PureMatchMonadInterface to Ensuring[PureMatchMonadInterface] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): PureMatchMonadInterface

    Implicit information
      This member is added by an implicit conversion from PureMatchMonadInterface to Ensuring[PureMatchMonadInterface] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): PureMatchMonadInterface

    Implicit information
      This member is added by an implicit conversion from PureMatchMonadInterface to Ensuring[PureMatchMonadInterface] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from PureMatchMonadInterface to StringFormat[PureMatchMonadInterface] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### val matchOwner: Global.Symbol

    Definition Classes
      MatchMonadInterface

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def pureType(tp: Global.Type): Global.Type

    Definition Classes
      PureMatchMonadInterface → MatchMonadInterface

25. #### def reportMissingCases(pos: Global.Position, counterExamples: List[String]): Unit

    Definition Classes
      MatchMonadInterface

26. #### def reportUnreachable(pos: Global.Position): Unit

    Definition Classes
      MatchMonadInterface

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### def →[B](y: B): (PureMatchMonadInterface, B)

    Implicit information
      This member is added by an implicit conversion from PureMatchMonadInterface to ArrowAssoc[PureMatchMonadInterface] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from MatchCodeGen.MatchMonadInterface

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PureMatchMonadInterface to any2stringadd[PureMatchMonadInterface]

### Inherited by implicit conversion StringFormat from PureMatchMonadInterface to StringFormat[PureMatchMonadInterface]

### Inherited by implicit conversion Ensuring from PureMatchMonadInterface to Ensuring[PureMatchMonadInterface]

### Inherited by implicit conversion ArrowAssoc from PureMatchMonadInterface to ArrowAssoc[PureMatchMonadInterface]

### Ungrouped